/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/BAOPTION.CPP   1.5   20 Jun 1996 09:24:50   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/BAOPTION.CPP  $
** 
**    Rev 1.5   20 Jun 1996 09:24:50   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:19:28   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:28:32   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// baoption.cpp
//
// Michael Long
//                                                                           
// 5/16/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "ba.h"
#include "baoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// BAOption dialog


BAOption::BAOption(BATool * pTool)
    : CPropertyPage(BAOption::IDD)
{                                
    ASSERT(pTool);              
    
    m_pTool = pTool;
    
    LoadData();
    
    //{{AFX_DATA_INIT(BAOption)
    
    //}}AFX_DATA_INIT
}

void BAOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(BAOption)
    DDX_Check(pDX, IDD_BAOPT_CHECK1, m_fX);
    DDX_Check(pDX, IDD_BAOPT_CHECK3, m_fE);
    DDX_Check(pDX, IDD_BAOPT_CHECK4, m_fS);
    DDX_Text(pDX, IDD_BAOPT_EDIT, m_strMore);
    DDX_Text(pDX, IDC_BAOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void BAOption::SaveData(void)
{                                  
    //UpdateData(TRUE);

    m_pTool->m_fX        = m_fX;
    m_pTool->m_fE        = m_fE;
    m_pTool->m_fS        = m_fS;
    m_pTool->m_strMore   = m_strMore;
    m_pTool->m_strPath   = m_strPath;
}

void BAOption::LoadData(void)
{
    m_fX        = m_pTool->m_fX;
    m_fE        = m_pTool->m_fE;
    m_fS        = m_pTool->m_fS;
    m_strMore   = m_pTool->m_strMore;
    m_strPath   = m_pTool->m_strPath;
}

BEGIN_MESSAGE_MAP(BAOption, CPropertyPage)
    //{{AFX_MSG_MAP(BAOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// BAOption message handlers
